// Function Prototypes

void PLLSetupBF(void);
void PortMuxingBF(void);
void SetUpInterruptsBF(void);
void MMCInit(void);
void SetUpDMATransmit(int NumberOfWords);
void SetUpDMAReceive(int NumberOfWords);
void SetUpAndEnablePPITransmit(int NumberOfWords);
void SetUpAndEnablePPIReceive(void);
void SetUpCommandArray(int Command, int value);
void SetUpTransmitData(void);
void SendCommand(int Command, int value);
void ReceiveResponse(int Type);
void SetUpClockSD(int NumberOfCycles);
void SetUpClockBF(int NumberOfCycles);
void SetUpClockBFReceive(void);
void SetUpClock(int NumberOfCycles);
void SetUpClockSDContinuous(void);
void SetUpClockBFContinuous(void);
void SetupPFpin(void);
void SetupPFInterrupt(void);
void SetupPFInterruptData(void);
void DisablePPITransmit(void);
void DisablePPIReceive(void);
void ExtractResponse(void);
void ExtractData(void);
void SingleBlockWrite(void);
void SingleBlockRead(void);
void SetUpDMADataTransmit(int NumberOfWords);
void SetUpDMADataReceive(int NumberOfWords);
void ExtractRData(void);


EX_INTERRUPT_HANDLER (MMCIsr);
EX_INTERRUPT_HANDLER (TimerISR);
EX_INTERRUPT_HANDLER (PFIsr);
EX_INTERRUPT_HANDLER (PFDataIsr);
